"""================================================================
منطق برنامه ای را طراحی کنید که تا زمانی عدد -۱ را دریافت نکرده هر
بار عددی را بخواند و بافراخوانی یک تابع، فاکتوریل عدد صحیح مثبت دریافتی
را محاسبه و چاپ کند.
================================================================"""
n=3
def fact(n):
    fact = 1
    for i in range(2,n+1):
        fact*=i
    return fact


while True:
    n = int(input("Please enter your num: "))
    if n == -1:
        break
    else:
        n_fact = fact(n)
        print("Factorial: ",n_fact)


print("="*20,"\nEnd Program")